VERSION 5.00
Object = "{E0085558-DD24-11D3-BEA8-0080C72F5C98}#1.0#0"; "DDSVDEMO6.OCX"
Begin VB.Form frmMiniDDSv 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "DDServer mini demonstration"
   ClientHeight    =   2835
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5085
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   2835
   ScaleWidth      =   5085
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtData 
      Height          =   1680
      Left            =   1620
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   7
      Text            =   "frmMiniDDSv.frx":0000
      Top             =   1080
      Width           =   3390
   End
   Begin VB.TextBox txtItem 
      Height          =   285
      Left            =   1620
      TabIndex        =   5
      Text            =   "VALUE"
      Top             =   765
      Width           =   1725
   End
   Begin VB.TextBox txtTopic 
      Height          =   285
      Left            =   1620
      TabIndex        =   3
      Text            =   "TOPIC"
      Top             =   450
      Width           =   1725
   End
   Begin VB.TextBox txtService 
      Height          =   285
      Left            =   1620
      TabIndex        =   1
      Text            =   "APP"
      Top             =   135
      Width           =   1725
   End
   Begin VB.CommandButton cbCreateData 
      Caption         =   "Create data &item"
      Enabled         =   0   'False
      Height          =   375
      Left            =   3465
      TabIndex        =   9
      Top             =   630
      Width           =   1545
   End
   Begin VB.CommandButton cbCreateTopic 
      Caption         =   "&Create App/Topic"
      Height          =   375
      Left            =   3465
      TabIndex        =   8
      Top             =   180
      Width           =   1545
   End
   Begin DDSvDemo6.DDESV DDESV1 
      Left            =   495
      Top             =   1665
      _ExtentX        =   926
      _ExtentY        =   926
   End
   Begin VB.Label Label4 
      Caption         =   "Item &data"
      Height          =   240
      Left            =   135
      TabIndex        =   6
      Top             =   1125
      Width           =   1320
   End
   Begin VB.Label Label3 
      Caption         =   "Item &name"
      Height          =   240
      Left            =   135
      TabIndex        =   4
      Top             =   787
      Width           =   1320
   End
   Begin VB.Label Label2 
      Caption         =   "&Topic"
      Height          =   240
      Left            =   135
      TabIndex        =   2
      Top             =   472
      Width           =   1320
   End
   Begin VB.Label Label1 
      Caption         =   "&Application name"
      Height          =   240
      Left            =   135
      TabIndex        =   0
      Top             =   157
      Width           =   1320
   End
End
Attribute VB_Name = "frmMiniDDSv"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private DDEService As DDSvDemo6.Service
Private DDETopic As DDSvDemo6.Topic
Private DDEDataItem As DDSvDemo6.DDSVData
Private Sub cbCreateData_Click()

If DDETopic Is Nothing Then Exit Sub

If Not DDEDataItem Is Nothing Then
    Call DDETopic.RemoveItem(DDEDataItem.ItemName, CF_TEXT)
End If

Set DDEDataItem = DDETopic.CreateItem(txtItem.Text, CF_TEXT)
If DDEDataItem Is Nothing Then
    MsgBox "Failed to create the data item"
    Exit Sub
End If

DDEDataItem.DataString = txtData.Text
Call DDEDataItem.NotifyClients

End Sub
Private Sub cbCreateTopic_Click()

'The evaluation control allows only one service so remove the existing one
If Not DDEService Is Nothing Then
    DDESV1.Services.RemoveService (DDEService.ServiceName)
    Set DDEService = Nothing
    Set DDETopic = Nothing
    Set DDEDataItem = Nothing
    cbCreateData.Enabled = False
End If

If Not DDESV1.Services.CreateService(txtService.Text) Then
    MsgBox "Failed to create the service"
    Exit Sub
End If

Set DDEService = DDESV1.Services(txtService.Text)
If Not DDEService.CreateTopic(txtTopic.Text) Then
    MsgBox "Failed to create the topic"
    DDESV1.Services.RemoveService (DDEService.ServiceName)
    Set DDEService = Nothing
    Exit Sub
End If

Set DDETopic = DDEService.Topic(txtTopic.Text)
cbCreateData.Enabled = True

End Sub
Private Sub txtData_Change()

    If DDEDataItem Is Nothing Then Exit Sub
    
    DDEDataItem.DataString = txtData.Text
    Call DDEDataItem.NotifyClients
End Sub
Private Sub Form_Load()
    Call DDESV1.Initialise
End Sub
Private Sub Form_Unload(Cancel As Integer)
    Call DDESV1.Uninitialise
End Sub
